/*******************************************************************************
 * Copyright (c) 2000, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.swt.widgets;

import org.eclipse.swt.*;
import org.eclipse.swt.graphics.*;

public class CoolBar extends Composite {

public CoolBar (Composite parent, int style) {
	super (parent, style);
}

protected void checkSubclass () {
}

public CoolItem getItem (int index) {
	return null;
}

public int getItemCount () {
	return 0;
}

public int[] getItemOrder () {
	return null;
}

public CoolItem[] getItems () {
	return null;
}

public Point[] getItemSizes () {
	return null;
}

public boolean getLocked () {
	return false;
}

public int[] getWrapIndices () {
	return null;
}

public int indexOf (CoolItem item) {
	return 0;
}

public void setItemLayout (int[] itemOrder, int[] wrapIndices, Point[] sizes) {
}

public void setLocked (boolean locked) {
}

public void setWrapIndices (int[] indices) {
}

}
